Bug 27543 - Tooltip on opac-messaging.pl obscured by table headers
Summary: Tooltip on opac-messaging.pl obscured by table headers
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27005
  Show dependency treegraph
 
Reported: 2021-01-25 12:06 UTC by Sally
Modified: 2021-02-11 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch fixes the display of tooltips in a patrons OPAC account for the 'your messaging' section. It corrects which Bootstrap assets are compiled with the OPAC CSS - the file for Bootstrap tooltips should be included.
Version(s) released in:
21.05.00,20.11.03


Attachments
Tooltip obscured by table headers (46.87 KB, image/jpeg)
2021-01-25 12:06 UTC, Sally
Details
Bug 27543: Tooltip on opac-messaging.pl obscured by table headers (1.57 KB, patch)
2021-01-25 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27543: Tooltip on opac-messaging.pl obscured by table headers (1.63 KB, patch)
2021-01-25 13:12 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27543: Tooltip on opac-messaging.pl obscured by table headers (1.63 KB, patch)
2021-01-26 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sally 2021-01-25 12:06:42 UTC
Created attachment 115755 [details]
Tooltip obscured by table headers

Whilst testing bug 27493, I noticed that the tooltip for 'Digests only' in opac-messaging.pl is obscured by the table headers.

To recreate:

1)  Log into the OPAC
2)  Go to 'your messaging' /opac-messaging.pl
3)  Hover over the Digests only tooltip
4)  Note that the tooltip appears on the same line as the headers, so is partially obscured

I've added a screenshot to the report.
Comment 1 Owen Leonard 2021-01-25 12:12:52 UTC
Thanks for this report, Sally. I notice this recently too but forgot to file a bug!
Comment 2 Owen Leonard 2021-01-25 12:33:40 UTC
Created attachment 115761 [details] [review]
Bug 27543: Tooltip on opac-messaging.pl obscured by table headers

This patch corrects which Bootstrap assets are compiled with the OPAC
CSS -- The file for Bootstrap tooltips should be included.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

1)  Log into the OPAC.
2)  Go to 'your messaging' (opac-messaging.pl).
3)  Hover over the Digests only tooltip.
4)  Note that the tooltip looks correct.
Comment 3 PTFS Europe Sandboxes 2021-01-25 13:12:39 UTC
Created attachment 115762 [details] [review]
Bug 27543: Tooltip on opac-messaging.pl obscured by table headers

This patch corrects which Bootstrap assets are compiled with the OPAC
CSS -- The file for Bootstrap tooltips should be included.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

1)  Log into the OPAC.
2)  Go to 'your messaging' (opac-messaging.pl).
3)  Hover over the Digests only tooltip.
4)  Note that the tooltip looks correct.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Sally 2021-01-25 13:13:20 UTC
Brilliant, thanks for the quick fix!

Works perfectly.
Comment 5 Katrin Fischer 2021-01-26 21:13:33 UTC
Created attachment 115838 [details] [review]
Bug 27543: Tooltip on opac-messaging.pl obscured by table headers

This patch corrects which Bootstrap assets are compiled with the OPAC
CSS -- The file for Bootstrap tooltips should be included.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

1)  Log into the OPAC.
2)  Go to 'your messaging' (opac-messaging.pl).
3)  Hover over the Digests only tooltip.
4)  Note that the tooltip looks correct.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 6 Jonathan Druart 2021-01-27 13:38:00 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-29 14:16:54 UTC
Pushed to 20.11.x for 20.11.03
Comment 8 Andrew Fuerste-Henry 2021-02-04 21:19:18 UTC
Can't recreate on 20.05, therefore not backporting. 
I looked at this in both Firefox and Chrome and the tooltip is working as intended. Please let me know if you're seeing something else in 20.05.